%define		pkg	fstream
Summary:	Advanced file system stream things
Name:		nodejs-%{pkg}
Version:	1.0.2
Release:	1
License:	BSD
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/fstream/-/%{pkg}-%{version}.tgz
# Source0-md5:	91f08ec81d7d5d36d5f871d5bf14a2fc
URL:		https://github.com/isaacs/fstream
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-graceful-fs < 4
Requires:	nodejs-graceful-fs >= 3
Requires:	nodejs-inherits < 2.1.0
Requires:	nodejs-inherits >= 2.0.0
Requires:	nodejs-mkdirp
Requires:	nodejs-rimraf < 3
Requires:	nodejs-rimraf >= 2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Advanced file system stream things.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -pr lib %{pkg}.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jan 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-fstream.git;a=log;h=master

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> c001d89
- up to 1.0.2

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 74e1391
- up to 1.0.0

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 6570cd1
- up to 0.1.29

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> f1e99c3
- up to 0.1.28

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 57f627c
- up to 0.1.27

* Wed Mar 05 2014 Łukasz Kieś <kiesiu@pld-linux.org> a74e7dc
- updated to 0.1.25

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 5334786
- Adapterized

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 5253043
- v0.1.22

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> 542e278
- adapter, versioned deps (from package.json)

* Thu Jun 14 2012 Elan Ruusamäe <glen@pld-linux.org> 165b609
- license in package.json is BSD

* Thu Jun 14 2012 Elan Ruusamäe <glen@pld-linux.org> 793b08d
- up to 0.1.18

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> 2b8dded
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

